<div id="gameDiv">
	<div id="game" style="position:absolute;width:500px;height:500px">
		<canvas id="ctx" width="500" height="500" style="position:absolute;border:1px solid #000000;"></canvas>		
	</div>
</div>

<!--<script src="https://cdn.socket.io/socket.io-1.4.5.js"></script>-->
<script>
	// 
	var WIDTH = 500;
	var HEIGHT = 500;

	//graph
	var ctx = document.getElementById("ctx").getContext("2d");
    
    t = new Date().getTime()
    var disturb = 0 //[0]
    var disturbAmplitude = 3
	
	setInterval(function(){
        ctx.fillStyle = "#000000"
        ctx.fillRect(0,0,500,500);
        ctx.fillStyle = "#00ff00"
        ctx.strokeStyle = "#00ff00"
        t += 0.05
        ctx.beginPath();
        ctx.moveTo(0, Math.sin((0.1 * 0) + t));
		for(let i = 0; i < 500; i++) {

            // if (!disturb) disturb = 0
            
            if (disturb > disturbAmplitude) {
                disturb -= Math.random()
            } else if (disturb < disturbAmplitude * -1) {
                disturb += Math.random()
            } else {
                if (Math.random() <= 0.001) {
                    if (Math.random() > 0.5) disturb += Math.random() * (Math.random() * 100)
                    else disturb -= Math.random() * (Math.random() * 100)
                } else {    
                    if (Math.random() > 0.5) disturb += Math.random()
                    else disturb -= Math.random()
                }
            }

            const y = Math.sin((0.01 * i) + t) * 150 + 250 + disturb
            // const y = 250 + disturb
            ctx.lineTo(i, y);
            // ctx.fillRect(i, y, 1, 1);
        }
        ctx.stroke();
        ctx.closePath();
	},40);
	
	document.oncontextmenu = function(event){
		event.preventDefault();
	}
	
	
	
</script>





